import { AsyncSsrManager } from './internal/async-ssr-manager';
import { validateConfig } from './internal/validate-config';
/**
 * @see {@link AsyncSsrManagerV0} for further information.
 */
export const asyncSsrManagerDefinition = {
    id: 's2:async-ssr-manager',
    create: env => {
        const { timeout } = validateConfig(env.config) || {};
        const asyncSsrManager = new AsyncSsrManager(timeout);
        return {
            '0.1.0': () => ({ featureService: asyncSsrManager })
        };
    }
};
//# sourceMappingURL=index.js.map